Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io
Class StreamableFileFactory

    java.lang.Object
      org.red5.io.StreamableFileFactory

All Implemented Interfaces:
  IStreamableFileFactory, IScopeService

    public class StreamableFileFactory

extends Object
implements IStreamableFileFactory

Creates streamable file services

Field Summary
`static Logger` | `logger`

Fields inherited from interface org.red5.io.IStreamableFileFactory
`BEAN_NAME`

Constructor Summary
`StreamableFileFactory()`

Method Summary
`IStreamableFileService` | `getService(File fp)`
`Set<IStreamableFileService>` | `getServices()` Getter for services
`void` | `setServices(Set<IStreamableFileService> services)` Setter for services

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static Logger logger

Constructor Detail

### StreamableFileFactory

    public StreamableFileFactory()

Method Detail

### setServices

    public void setServices(Set<IStreamableFileService> services)

  Setter for services

  Parameters:
    `services` - Set of streamable file services

### getService

    public IStreamableFileService getService(File fp)

  Specified by:
    `getService` in interface `IStreamableFileFactory`

### getServices

    public Set<IStreamableFileService> getServices()

  Getter for services

  Specified by:
    `getServices` in interface `IStreamableFileFactory`
  Returns:
    Set of streamable file services

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project